<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) INRIA - 
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="tokens">
  <info>
    <pubdate>$LastChangedDate: 2006-08-08 16:57:13 +0200 (Tue, 08 Aug 2006) $</pubdate>
  </info>
  <refnamediv>
    <refname>tokens</refname>
    <refpurpose> returns the tokens of a character string.  </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>T=tokens(str [,delimiter])</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>str</term>
        <listitem>
          <para>A character string. The string where to search the tokens.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>delimiter</term>
        <listitem>
          <para>(optional) a character or a vector of characters. The tokens delimeters.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>T</term>
        <listitem>
          <para>column vector of found tokens</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>T=tokens(str [,delimiter]) </literal> searches the tokens included in the
    string <literal>str</literal>. The <literal>delimiter</literal> default value is [" ",&lt;Tab&gt;]
    where &lt;Tab&gt; stands for <literal>ascii(9)</literal>.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
tokens('This is a character string')

tokens('SCI/demos/scicos','/')

tokens('y=a+b*2',['=','+','*'])
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="strindex">strindex</link>
      </member>
      <member>
        <link linkend="tokenpos">tokenpos</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
